package com.njcn.mapper.configuration;

import com.njcn.pojo.configuration.DicType;
import com.njcn.pojo.excelBody.DicTypeExcelBody;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface DicDataTypeMapper extends Mapper<DicType> {

    // 查
    List<DicType> All(@Param(value = "typeId") String typeId);

    // 查
    List<DicType> selectIndexAll();

    // 添加
    int insertType(DicType dt);

    //查询除此之外的名称
    List<DicType> selectName(@Param(value = "dicTypeIndex") String dicTypeIndex);

    //删除
    int deleteType(DicType dt);

    List<DicType> getLog(@Param("list")List<String> list);

    //修改
    int updateType(DicType dt);

    DicType selectTypeName(@Param(value = "typeId") String typeId);

    // 查询最大的
    int selNumMax();

    //根据dictype_name查询
    DicType querybyname(@Param(value = "dicTypename") String dicTypename);

    //获取该表所有数据，提供excel导出
    List<DicTypeExcelBody> selectAllExcelData();

}
